Loading...
Searching...
No Matches
sdbus::PendingAsyncCall Class Reference

`#include <IProxy.h>`

## Public Member Functions

void | cancel ()
| Cancels the delivery of the pending asynchronous call result.
bool | isPending () const
| Answers whether the asynchronous call is still pending.

## Detailed Description

PendingAsyncCall represents a simple handle type to cancel the delivery of the asynchronous D-Bus call result to the application.

The handle is lifetime-independent from the originating Proxy object. It's safe to call its methods even after the Proxy has gone.

## Member Function Documentation

## cancel()

void sdbus::PendingAsyncCall::cancel | ( |  | ) |

Cancels the delivery of the pending asynchronous call result.

This function effectively removes the callback handler registered to the async D-Bus method call result delivery. Does nothing if the call was completed already, or if the originating Proxy object has gone meanwhile.

## isPending()

bool sdbus::PendingAsyncCall::isPending | ( |  | ) | const

nodiscard

Answers whether the asynchronous call is still pending.

Returns
  True if the call is pending, false if the call has been fully completed

Pending call in this context means a call whose results have not arrived, or have arrived and are currently being processed by the callback handler.

The documentation for this class was generated from the following file:

- include/sdbus-c++/IProxy.h